%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Xen is a virtual machine monitor
Name:    xen
Version: 3.0.3
Release: 6%{?dist}
Group:   Development/Libraries
License: GPL
URL:     http://www.cl.cam.ac.uk/Research/SRG/netos/xen/index.html
Source0: http://bits.xensource.com/oss-xen/release/3.0.3-0/src.tgz/xen-3.0.3_0-src.tgz
Source1: http://download.sf.net/libvncserver/LibVNCServer-0.8.2.tar.gz
Source2: xenguest-install.py
Patch1: xen-initscript.patch
Patch2: xen-nostrip-ioemu.patch
Patch3: xen-compile-fixes.patch
Patch6: xen-network-iptables-bridge.patch
Patch8: xen-vmxballoon-hack.patch
Patch9: xen-logfile-O_APPEND.patch
Patch10: xen-uptime-device.patch

Patch11: xen-print-fullpath.patch
Patch12: xen-vmxassist-load16.patch
Patch13: xen-dumpdir.patch
Patch14: xen-pci-config-overflow.patch
Patch15: xen-qemu-usb-buffer.patch
Patch16: xen-qemu-8139c-chaining.patch
Patch17: xen-qemu-floppy-overflow.patch
Patch18: xen-qemu-ne2000-buffer.patch
Patch19: xen-qemu-uppercase.patch
Patch20: xen-floppy-device.patch

Patch21: xen-blktap-no-aio-epoll.patch
Patch22: xen-blktap-2tb.patch
Patch23: xen-qemu-error-reporting.patch
Patch24: xen-blktap-error-reporting.patch
Patch25: xen-qemu-hdd-limit.patch
Patch26: xen-xm-list-memory.patch
Patch27: xen-hvm-rtc-hv.patch
Patch28: xen-http-dump.patch
Patch29: xen-xendomains-clean-restore.patch
Patch30: xen-xc-loglevel.patch

Patch31: xen-memory-map.patch
Patch32: xen-qemu-cdrom-dma.patch
Patch33: xen-xenbus-force-option.patch
Patch34: xen-qemu-memory-check.patch
Patch35: xen-ja-keyboard.patch
Patch36: xen-core-2gb.patch
Patch37: xen-vnc-domid-vm.patch
Patch38: xen-ipv6-xenbr.patch
Patch39: xen-shadow-enable.patch
Patch40: xen-man-pages.patch

Patch42: xen-network-bonding-fix.patch

Patch80: xen-destroydevice-args.patch
Patch81: xen-hotplug-error-reporting.patch
Patch82: xen-qemu-close-fds.patch

# Ignore module loading for old Dom0/DomU split kernels
Patch85: xen-initscript-mods.patch

# Patches to modify the default config of xend
Patch100: xen-config-dom0-minmem.patch
Patch102: xen-3.0.2-config-allow-unix-server.patch
Patch103: xen-3.0.2-config-disable-reloc.patch

# pv framebuffer patches
Patch200: xen-console.patch
Patch201: xen-pvfb.patch
Patch202: xen-pvfb-compat.patch
Patch203: xen-pvfb-fixes.patch
Patch204: xen-pvfb-no-hvm.patch
Patch205: xen-pvfb-terminate.patch

# patches to make VNC only listen on localhost by default / use passwords
Patch220: xen-3.0.4-vncpassword-pvfb-backport.patch
Patch222: xen-vncpassword-5.patch
Patch224: xen-vncpassword-remove.patch
Patch226: xen-remove-vnc-monitor.patch

Patch251: pygrub-manykernels.patch
Patch252: pygrub-cosmetics.patch

# libVNCserver patches
Patch300: vnc-thread-fixes.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: transfig libidn-devel zlib-devel texi2html SDL-devel curl-devel
BuildRequires: libX11-devel python-devel ghostscript tetex-latex
BuildRequires: dev86
BuildRequires: ncurses-devel gtk2-devel libaio-devel
# for the docs
BuildRequires: perl
# so that the makefile knows to install udev rules
BuildRequires: udev
# so that x86_64 builds pick up glibc32 correctly
BuildRequires: /usr/include/gnu/stubs-32.h
Requires: bridge-utils
Requires: python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires: udev >= 059
Requires: libvirt-python
Prereq: chkconfig
ExclusiveArch: i386 x86_64

# Hack for bootstrapping
%ifarch x86_64 ppc64 ia64
Provides: libxenstore.so()(64bit)
%else
Provides: libxenstore.so
%endif

%description
This package contains the Xen hypervisor and Xen tools, needed to
run virtual machines on x86 systems, together with the kernel-xen*
packages.  Information on how to use Xen can be found at the Xen
project pages.

Virtualisation can be used to run multiple versions or multiple
Linux distributions on one system, or to test untrusted applications
in a sandboxed environment.

%prep
%setup -q -n xen-3.0.3_0-src -a 1
%patch1 -p1 -b .init
# Don't strip qemu-dm early, so that we get proper debuginfo
%patch2 -p1
%patch3 -p1 -b .compile
%patch6 -p1
#patch8 -p1 # FIXME: need to pull this one back
%patch9 -p1
%patch10 -p1

%patch11 -p1
%patch12 -p1
%patch13 -p1
# found in Herbert Xu's security audit
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
# make uppercase characters work right
%patch19 -p1
# virtual floppy could be a device node
%patch20 -p1

# blktap patches
%patch21 -p1
# fix 2TB overflow/wraparound in blktap
%patch22 -p1
# pass I/O errors in dom0 back to the guest
%patch23 -p1
%patch24 -p1
# qemu only has hda through hdd
%patch25 -p1
# xm list should show the amount of memory a guest actually has
%patch26 -p1
# move the rtc timer into the hypervisor
# This needs matching kernel/HV bits which we don't have yet in FC-5
#patch27 -p1
# allow http RPC to dump core of a domain
%patch28 -p1
# do not auto-start a domain that was also restored from a save
%patch29 -p1
# use log level info for messages that are not errors
%patch30 -p1

# implement memory_map hypercall to determine maximum memory for a guest
%patch31 -p1
# enable DMA on virtual cdrom drive
%patch32 -p1
# add a --force option to the xenbus device detach code
%patch33 -p1
# fix memory check in qemu-dm
%patch34 -p1
# make JP106 keyboards work - disable until new PVFB patches
# are in due to patch conflicts
%patch35 -p1
# fix core dumps of 32 bit Xen guests with >2GB memory
%patch36 -p1
# write the /local/domain/vm node early in the startup process
%patch37 -p1
# disable ipv6 autoconf on xenbr* devices
%patch38 -p1
# fix use of destroyDevice
%patch39 -p1
# Sanitize man pages
%patch40 -p1

# network bonding fix
%patch42 -p1

# fix HVM cannot allocate memory bug
%patch80 -p1
# hotplug script error reporting
%patch81 -p1
# Close QEMU file handles when running network script
%patch82 -p1

# Ignore module loading for old Dom0/DomU split kernels
%patch85 -p1

# config patches
%patch100 -p1
%patch102 -p1
%patch103 -p1

# pv framebuffer patches
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1

# vnclisten/password patches
%patch220 -p1
%patch222 -p1
%patch224 -p1
%patch226 -p1

# upstream patches
%patch251 -p1
%patch252 -p1

# libVNCserver patches
pushd LibVNCServer-0.8.2
# thread locking fixes
%patch300 -p2
popd

cp %{SOURCE2} .

%build
# libvncserver first
pushd LibVNCServer-0.8.2
%configure
make -C libvncserver
vncdir=`pwd`
popd
sed -i -e "s;libvncserver-config;${vncdir}/libvncserver-config;" tools/xenfb/Makefile

CFLAGS="$RPM_OPT_FLAGS" %{__make} XENFB_TOOLS=y XEN_PYTHON_NATIVE_INSTALL=1 DESTDIR=%{buildroot} tools docs

%install
rm -rf %{buildroot}
make XENFB_TOOLS=y XEN_PYTHON_NATIVE_INSTALL=1 DESTDIR=%{buildroot} prefix=/usr install-tools install-docs
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/domain
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/vnet
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/migrate
mkdir -p %{buildroot}%{_localstatedir}/lib/xenstored
mkdir -p %{buildroot}%{_localstatedir}/run/xenstored
rm -rf %{buildroot}%{_datadir}/doc/qemu

rm -rf %{buildroot}%{_sysconfdir}/hotplug

# install all of the public headers
mkdir -p %{buildroot}%{_includedir}/xen/io %{buildroot}%{_includedir}/xen/hvm
install -m 644 xen/include/public/io/*.h %{buildroot}%{_includedir}/xen/io
install -m 644 xen/include/public/hvm/*.h %{buildroot}%{_includedir}/xen/hvm
install -m 644 xen/include/public/*.h %{buildroot}%{_includedir}/xen/
install -m 644 xen/include/public/COPYING %{buildroot}%{_includedir}/xen/

### fixing start-script dir
mkdir -p %{buildroot}/etc/rc.d
mv -f %{buildroot}/etc/init.d %{buildroot}/etc/rc.d/

mv -f %{buildroot}/etc/udev/xen-backend.rules %{buildroot}/etc/udev/rules.d/

# Hand-install the local xenguest-install.py addon
install -m 755 xenguest-install.py %{buildroot}%{_sbindir}

# silly doc dir fun
rm -fr %{buildroot}/%{_datadir}/doc/xen/

# create dirs in /var/run so that selinux contexts are right (#195952)
mkdir -p %{buildroot}/var/run/xend %{buildroot}/var/log/xen
mkdir -p %{buildroot}/var/lib/xen/images

# avoid conflicting with qemu (#199759)
rm -f %{buildroot}/%{_mandir}/man*/qemu*

%post
/sbin/chkconfig --add xend
/sbin/chkconfig --add xendomains

%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del xend
  /sbin/chkconfig --del xendomains
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README
%doc docs/pdf/
%doc docs/misc/
%{_sbindir}/*
%{_bindir}/*
%{_includedir}/*.h
%dir %{_includedir}/xen
%{_includedir}/xen/*
%{python_sitearch}/%{name}
%{python_sitearch}/grub
%{_libdir}/%{name}
%{_libdir}/lib*
%{_mandir}/man?/*.?.gz
%dir /usr/lib/xen
%dir /usr/lib/xen/boot
/usr/lib/xen/boot/hvmloader
%dir %{_datadir}/%{name}/qemu
%{_datadir}/%{name}/qemu/keymaps/*
%dir %{_localstatedir}/lib/%{name}
%{_localstatedir}/lib/%{name}/*
%{_sysconfdir}/rc.d/init.d/*
%{_sysconfdir}/udev/rules.d/*
%dir %attr(0700,root,root) %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/sysconfig/xendomains
%dir %{_localstatedir}/lib/xenstored
%dir %{_localstatedir}/run/xenstored
%dir %{_localstatedir}/run/xend
%dir %attr(0700,root,root) /var/log/xen

%changelog
* Mon Apr 02 2007 Markus Armbruster <armbru@redhat.com> - 3.0.3-6.fc5
- fix ethernet bonding in balanced-rr mode

* Wed Mar 14 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-5.fc5
- Disable access to QEMU monitor over VNC (CVE-2007-0998, bz 230295)

* Tue Mar  6 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-4.fc5
- Ensure PVFB daemon terminates if domain doesn't startup (bz 230634)
- Close QEMU file handles when running network script
- Improve hotplug error reporting
- Don't start PVFB daemon for HVM guests
- disable ipv6 autoconf on xenbr* devices (rhbz#216504)
- Fixed destroyDevice callers
- Workaround 'Cannot allocate memory' HVM bug
- Santize man pages

* Tue Jan 30 2007 Markus Armbruster <armbru@redhat.com>
- Update Xen paravirt framebuffer patch to upstream xen-unstable
  changeset 13066.  This changes the protocol to the one accepted
  upstream.
- Add compatibility with guests running our initial protocol.

* Tue Jan  9 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-3.fc5
- fix core dumps of 32 bit guests >2GB RAM (bz 215796)
- write the /local/domain/vm node early in the startup process (bz 215269)
- fix memory boundary checking in qemu-dm (bz 221119)
- add --force option to xenbus device detach code (bz 217853)
- fix keeping track of HVM vnc password (bz 218050)
- enable DMA on HVM virtual cdrom drive (bz 218357)
- new paravirt framebuffer, as merged upstream (bz 218050)
- more cosmetic pygrub fixing (bz 215316)
- make ballooning work right (bz 212069)
- do not auto-start a domain that was restored from a save (bz 217295)
- use log level info for messages that are not errors (bz 218759)
- Allows HTTP request to dump core of a domain (bz 214913)
- catch it when an HVM guest tries to use hde (bz 217736)
- make "xm list" display how much memory a domain really has (bz 217443)
- pass qemu and blktap I/O errors back to the guest (bz 217765, 217859)
- fix 2TB overflow/wraparound in blktap (bz 217580)
- various fixes from Herbert Xu's security audit
- allow HVM virtual floppy to be a device on dom0 (bz 216449)
- make uppercase characters always work in HVM console (bz 217554)
- move the dump path to /var/lib/xen (bug 212558)

* Tue Nov 14 2006 Juan Quintela <quintela@redhat.com> - 3.0.3-2.fc5
- add vmxassist fix from RHEL5.

* Mon Oct 30 2006 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-1.fc5
- Update to xen-3.0.3 changeset 11774
- Pull in paravirt framebuffer patches
- Pull in VNC password patches for full & para-virt framebuffer
- Fix xenguest-install.py to use a read-write libvirt connection
- Make /etc/xen & /var/log/xen mode 0700 restricted to protect VNC password
- Add /var/lib/xen/images as a dir for storing file based disk images
- Added pygrub fixes for many kernels & cursor cosmetics

* Wed Sep 20 2006 Juan Quintela <quintela@redhat.com> - 3.0.2-4.FC5
- Update to xen-unstable cset: 11540.

* Wed Jun 21 2006 Daniel Veillard <veillard@redhat.com> - 3.0.2-3.FC5
- Add missing xen-compat.h needed to compile on the new xen sources

* Tue Jun 20 2006 Stephen C. Tweedie <sct@redhat.com> - 3.0.2-2.FC5
- Add BuildRequires: for gnu/stubs-32.h so that x86_64 builds pick up
  glibc32 correctly
- Update to xen-unstable cset 10278 (from rawhide) to enable kernel rebase

* Mon May 22 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-0.FC5.3
- and fix a typo

* Mon May 22 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-0.FC5.2
- ensure newly installed domains reboot on reboot

* Thu May  4 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-0.FC5.1
- fix patch which didn't apply correctly

* Fri Apr 28 2006 Jeremy Katz <katzj@redhat.com> - 3.0.2-0.FC5
- update to 3.0.2-2
- add patches for bootloader to run on all domain creations
- make xenguest-install create a persistent uuid
- use libvirt for paravirt domain creation in xenguest-install

* Tue Apr 18 2006 Daniel Veillard <veillard@redhat.com> - 3.0.1-5.FC5
- augment the close on exec patch with the fix for #188361

* Thu Mar  9 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-4
- add udev rule so that /dev/xen/evtchn gets created properly
- make pygrub not use /tmp for SELinux
- make xenguest-install actually unmount its nfs share.  also, don't use /tmp

* Tue Mar  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-3
- set /proc/xen/privcmd and /var/log/xend-debug.log as close on exec to avoid
  SELinux problems
- give better feedback on invalid urls (#184176)

* Mon Mar  6 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-2
- Use kva mmap to find the xenstore page (upstream xen-unstable cset 9130)

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-1
- fix xenguest-install so that it uses phy: for block devices instead of 
  forcing them over loopback.  
- change package versioning to be a little more accurate

* Thu Mar  2 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060301.fc5.3
- Remove unneeded CFLAGS spec file hack

* Thu Mar  2 2006 Rik van Riel <riel@redhat.com> - 3.0.1-0.20060301.fc5.2
- fix 64 bit CFLAGS issue with vmxloader and hvmloader

* Wed Mar  1 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060301.fc5.1
- Update to xen-unstable cset 9022

* Tue Feb 28 2006 Stephen Tweedie <sct@redhat.com> - 3.0.1-0.20060228.fc5.1
- Update to xen-unstable cset 9015

* Thu Feb 23 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.3
- add patch to ensure we get a unique fifo for boot loader (#182328)
- don't try to read the whole disk if we can't find a partition table 
  with pygrub 
- fix restarting of domains (#179677)

* Thu Feb  9 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.2
- fix -h conflict for xenguest-isntall

* Wed Feb  8 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5.1
- turn on http listener so you can do things with libvir as a user

* Wed Feb  8 2006 Jeremy Katz <katzj@redhat.com> - 3.0.1-0.20060208.fc5
- update to current hg snapshot for HVM support
- update xenguest-install for hvm changes.  allow hvm on svm hardware
- fix a few little xenguest-install bugs

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.6
- add a hack to fix VMX guests with video to balloon enough (#180375)

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.5
- fix build for new udev

* Tue Feb  7 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060130.fc5.4
- patch from David Lutterkort to pass macaddr (-m) to xenguest-install
- rework xenguest-install a bit so that it can be used for creating 
  fully-virtualized guests as well as paravirt.  Run with --help for 
  more details (or follow the prompts)
- add more docs (noticed by Andrew Puch)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0-0.20060130.fc5.3.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb  2 2006 Bill Nottingham <notting@redhat.com> 3.0-0.20060130.fc5.3
- disable iptables/ip6tables/arptables on bridging when bringing up a
  Xen bridge. If complicated filtering is needed that uses this, custom
  firewalls will be needed. (#177794)

* Tue Jan 31 2006 Bill Nottingham <notting@redhat.com> 3.0-0.20060130.fc5.2
- use the default network device, don't hardcode eth0

* Tue Jan 31 2006  <sct@redhat.com> - 3.0-0.20060130.fc5.1
- Add xenguest-install.py in /usr/sbin

* Mon Jan 30 2006  <sct@redhat.com> - 3.0-0.20060130.fc5
- Update to xen-unstable from 20060130 (cset 8705)

* Wed Jan 25 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060110.fc5.5
- buildrequire dev86 so that vmx firmware gets built
- include a copy of libvncserver and build vmx device models against it 

* Tue Jan 24 2006 Bill Nottingham <notting@redhat.com> - 3.0-0.20060110.fc5.4
- only put the udev rules in one place

* Fri Jan 20 2006 Jeremy Katz <katzj@redhat.com> - 3.0-0.20060110.fc5.3
- move xsls to xenstore-ls to not conflict (#171863)

* Tue Jan 10 2006  <sct@redhat.com> - 3.0-0.20060110.fc5.1
- Update to xen-unstable from 20060110 (cset 8526)

* Thu Dec 22 2005 Jesse Keating <jkeating@redhat.com> - 3.0-0.20051206.fc5.2
- rebuilt

* Tue Dec  6 2005 Juan Quintela <quintela@trasno.org> - 3.0-0.20051206.fc5.1
- 20051206 version (should be 3.0.0).
- Remove xen-bootloader fixes (integrated upstream).

* Wed Nov 30 2005 Daniel Veillard <veillard@redhat.com> - 3.0-0.20051109.fc5.4
- adding missing headers for libxenctrl and libxenstore
- use libX11-devel build require instead of xorg-x11-devel

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.3
- change default dom0 min-mem to 256M so that dom0 will try to balloon down

* Sat Nov 12 2005 Jeremy Katz <katzj@redhat.com>
- buildrequire ncurses-devel (reported by Justin Dearing)

* Thu Nov 10 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.2
- actually enable the initscripts

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5.1
- udev rules moved

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051109.fc5
- update to current -unstable
- add patches to fix pygrub 

* Wed Nov  9 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051108.fc5
- update to current -unstable

* Fri Oct 21 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20051021.fc5
- update to current -unstable

* Thu Sep 15 2005 Jeremy Katz <katzj@redhat.com> - 3.0-0.20050912.fc5.1
- doesn't require twisted anymore

* Mon Sep 12 2005 Rik van Riel <riel@redhat.com> 3.0-0.20050912.fc5
- add /var/{lib,run}/xenstored to the %files section (#167496, #167121)
- upgrade to today's Xen snapshot
- some small build fixes for x86_64
- enable x86_64 builds

* Thu Sep  8 2005 Rik van Riel <riel@redhat.com> 3.0-0.20050908
- explicitly call /usr/sbin/xend from initscript (#167407)
- add xenstored directories to spec file (#167496, #167121)
- misc gcc4 fixes 
- spec file cleanups (#161191)
- upgrade to today's Xen snapshot
- change the version to 3.0-0.<date> (real 3.0 release will be 3.0-1)

* Mon Aug 23 2005 Rik van Riel <riel@redhat.com> 2-20050823
- upgrade to today's Xen snapshot

* Mon Aug 15 2005 Rik van Riel <riel@redhat.com> 2-20050726
- upgrade to a known-working newer Xen, now that execshield works again

* Mon May 30 2005 Rik van Riel <riel@redhat.com> 2-20050530
- create /var/lib/xen/xen-db/migrate directory so "xm save" works (#158895)

* Mon May 23 2005 Rik van Riel <riel@redhat.com> 2-20050522
- change default display method for VMX domains to SDL

* Fri May 20 2005 Rik van Riel <riel@redhat.com> 2-20050520
- qemu device model for VMX

* Thu May 19 2005 Rik van Riel <riel@redhat.com> 2-20050519
- apply some VMX related bugfixes

* Mon Apr 25 2005 Rik van Riel <riel@redhat.com> 2-20050424
- upgrade to last night's snapshot

* Fri Apr 15 2005 Jeremy Katz <katzj@redhat.com>
- patch manpath instead of moving in specfile.  patch sent upstream
- install to native python path instead of /usr/lib/python
- other misc specfile duplication cleanup

* Sun Apr  3 2005 Rik van Riel <riel@redhat.com> 2-20050403
- fix context switch between vcpus in same domain, vcpus > cpus works again

* Sat Apr  2 2005 Rik van Riel <riel@redhat.com> 2-20050402
- move initscripts to /etc/rc.d/init.d (Florian La Roche) (#153188)
- ship only PDF documentation, not the PS or tex duplicates

* Thu Mar 31 2005 Rik van Riel <riel@redhat.com> 2-20050331
- upgrade to new xen hypervisor
- minor gcc4 compile fix

* Mon Mar 28 2005 Rik van Riel <riel@redhat.com> 2-20050328
- do not yet upgrade to new hypervisor ;)
- add barrier to fix SMP boot bug
- add tags target
- add zlib-devel build requires (#150952)

* Wed Mar  9 2005 Rik van Riel <riel@redhat.com> 2-20050308
- upgrade to last night's snapshot
- new compile fix patch

* Sun Mar  6 2005 Rik van Riel <riel@redhat.com> 2-20050305
- the gcc4 compile patches are now upstream
- upgrade to last night's snapshot, drop patches locally

* Fri Mar  4 2005 Rik van Riel <riel@redhat.com> 2-20050303
- finally got everything to compile with gcc4 -Wall -Werror

* Thu Mar  3 2005 Rik van Riel <riel@redhat.com> 2-20050303
- upgrade to last night's Xen-unstable snapshot
- drop printf warnings patch, which is upstream now

* Wed Feb 23 2005 Rik van Riel <riel@redhat.com> 2-20050222
- upgraded to last night's Xen snapshot
- compile warning fixes are now upstream, drop patch

* Sat Feb 19 2005 Rik van Riel <riel@redhat.com> 2-20050219
- fix more compile warnings
- fix the fwrite return check

* Fri Feb 18 2005 Rik van Riel <riel@redhat.com> 2-20050218
- upgrade to last night's Xen snapshot
- a kernel upgrade is needed to run this Xen, the hypervisor
  interface changed slightly
- comment out unused debugging function in plan9 domain builder
  that was giving compile errors with -Werror

* Tue Feb  8 2005 Rik van Riel <riel@redhat.com> 2-20050207
- upgrade to last night's Xen snapshot

* Tue Feb  1 2005 Rik van Riel <riel@redhat.com> 2-20050201.1
- move everything to /var/lib/xen

* Tue Feb  1 2005 Rik van Riel <riel@redhat.com> 2-20050201
- upgrade to new upstream Xen snapshot

* Tue Jan 25 2005 Jeremy Katz <katzj@redhat.com>
- add buildreqs on python-devel and xorg-x11-devel (strange AT nsk.no-ip.org)

* Mon Jan 24 2005 Rik van Riel <riel@redhat.com> - 2-20050124
- fix /etc/xen/scripts/network to not break with ipv6 (also sent upstream)

* Fri Jan 14 2005 Jeremy Katz <katzj@redhat.com> - 2-20050114
- update to new snap
- python-twisted is its own package now
- files are in /usr/lib/python now as well, ugh.

* Tue Jan 11 2005 Rik van Riel <riel@redhat.com>
- add segment fixup patch from xen tree
- fix %files list for python-twisted

* Mon Jan 10 2005 Rik van Riel <riel@redhat.com>
- grab newer snapshot, that does start up
- add /var/xen/xend-db/{domain,vnet} to %files section

* Thu Jan  6 2005 Rik van Riel <riel@redhat.com>
- upgrade to new snapshot of xen-unstable

* Mon Dec 13 2004 Rik van Riel <riel@redhat.com>
- build python-twisted as a subpackage
- update to latest upstream Xen snapshot

* Sun Dec  5 2004 Rik van Riel <riel@redhat.com>
- grab new Xen tarball (with wednesday's patch already included)
- transfig is a buildrequire, add it to the spec file

* Wed Dec  1 2004 Rik van Riel <riel@redhat.com>
- fix up Che's spec file a little bit
- create patch to build just Xen, not the kernels

* Wed Dec 01 2004 Che
- initial rpm release
